# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate flame

Name:           rust-%{crate}
Version:        0.2.2
Release:        3%{?dist}
Summary:        Profiling / flamegraph library

# https://github.com/TyOverby/flame/issues/24
License:        (MIT or ASL 2.0) and BSD
URL:            https://crates.io/crates/flame
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump lazy_static to 1.*.*, https://github.com/TyOverby/flame/pull/34
Patch0:         flame-0.2.2-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_derive) >= 1.0.0 with crate(serde_derive) < 2.0.0)
BuildRequires:  (crate(serde_json) >= 1.0.0 with crate(serde_json) < 2.0.0)
BuildRequires:  (crate(thread-id) >= 3.0.0 with crate(thread-id) < 4.0.0)

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch
# Hard to find which version it is
Provides:       bundled(js-d3js)

%description    devel
A profiling / flamegraph library.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# https://github.com/TyOverby/flame/issues/25
%cargo_test -- -- --test-threads=1
%endif

%files          devel
%doc readme.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-2
- Adopt to new macro

* Fri Mar 09 2018 Josh Stone <jistone@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-4
- Rebuild for rust-packaging v5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-3
- Bump lazy_static to 1

* Tue Nov 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-2
- Do not ignore test results

* Fri Nov 10 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sat Jul 08 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.12-1
- Initial package
